* {
    box-sizing: border-box;
}

body {
    background-color: rgb(43, 3, 61);
}

.container {
    width: 100%;
    min-height: 100vh;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.container-title {
    color: white;
    font-size: 45px;
    font-family: 'Courier New', Courier, monospace;
}

.palindrome-div {
    background-color: rgba(74, 91, 165, 0.808);
    color: aliceblue;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    padding: 3rem;
    font-size: 25px;
    border-radius: 10px;
    border: 2px solid black;
}

#text-input {
    padding: 1rem;
}

#check-btn {
    padding: 0.7rem;
    font-size: 20px;
    width: 30%;
    min-width: 100px;
    margin: auto;
    border-radius: 10px;
    background-color: rgb(75, 108, 219);
    color: aliceblue;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

#check-btn:hover {
    background-color: rgb(51, 88, 212);
}

#result {
    text-align: center;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-style: italic;
}

.palindrome-def {
    width: 510px;
    font-size: 25px;
    border: 1px solid black;
    border-radius: 10px;
    padding: 1rem;
    background-color: rgba(74, 91, 165, 0.808);
    ;
    color: aliceblue;
    margin-top: 2rem;
}

.palindrome-def>p {
    margin: 0;
    font-family: Georgia, 'Times New Roman', Times, serif;
    text-align: justify;
}

@media screen and (max-width: 510px) {
    .palindrome-def {
        width: auto;
    }
}